using SqlSugar;
using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace WCS.Entity
{
    /// <summary>
    /// 设备信息表
    /// </summary>
    [SugarTable(nameof(WCS_PlcData), "设备信息表")]
    public class WCS_PlcData
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true, ColumnDescription = "ID")]
        [Column(Order = 0)]
        public virtual int ID { get; set; }

        /// <summary>
        /// 仓库
        /// </summary>
        [SugarColumn(ColumnDescription = "仓库")]
        public string WAREHOUSE { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [SugarColumn(ColumnDescription = "内容", ColumnDataType = "text")]
        public string CONTENT { get; set; }

        /// <summary>
        /// 创建用户
        /// 仅记录用户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "创建用户", Length = 50)]
        public string AddWho { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", InsertServerTime = true)]
        public DateTime AddTime { get; set; }
    }
}
